using FluentValidation;

namespace Indotalent.Features.Sales.SalesQuotation.Cqrs;

public class CreateSalesQuotationValidator : AbstractValidator<CreateSalesQuotationRequest>
{
    public CreateSalesQuotationValidator()
    {
        RuleFor(x => x.QuotationDate).NotEmpty().WithMessage("Date is required");
        RuleFor(x => x.CustomerId).NotEmpty().WithMessage("Customer is required");
    }
}